Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::MayaAttributeUtility Class Reference

Mayaアトリビュートユーティリティ. More...

`#include <MayaAttributeUtility.h>`

List of all members.

## Static Public Member Functions
MObject | getAttribute (const MObject &node, const String &attributeName)
| アトリビュートの取得
MPlug | getPlug (const MObject &node, const String &plugName)
| プラグの取得
bool | getBool (const MObject &node, const MObject &attribute)
| ブールアトリビュートの取得
bool | getBool (const MObject &node, const String &attributeName)
| ブールアトリビュートの取得
int | getInt (const MObject &node, const MObject &attribute)
| 整数アトリビュートの取得
int | getInt (const MObject &node, const String &attributeName)
| 整数アトリビュートの取得
float | getFloat (const MObject &node, const MObject &attribute)
| 実数アトリビュートの取得
float | getFloat (const MObject &node, const String &attributeName)
| 実数アトリビュートの取得
String | getString (const MObject &node, const MObject &attribute)
| 文字列アトリビュートの取得
String | getString (const MObject &node, const String &attributeName)
| 文字列アトリビュートの取得
Color3f | getColor3f (const MObject &node, const MObject &attribute)
| 実数三要素カラーアトリビュートの取得
Color3f | getColor3f (const MObject &node, const String &attributeName)
| 実数三要素カラーアトリビュートの取得
Vector3 | getVector (const MObject &node, const MObject &attribute)
| ベクトルアトリビュートの取得
Vector3 | getVector (const MObject &node, const String &attributeName)
| ベクトルアトリビュートの取得
Matrix44 | getMatrix (const MObject &node, const MObject &attribute)
| 行列アトリビュートの取得
Matrix44 | getMatrix (const MObject &node, const String &attributeName)
| 行列アトリビュートの取得

## Detailed Description

Mayaアトリビュートユーティリティ.

Definition at line 34 of file MayaAttributeUtility.h.

## Member Function Documentation

MObject LampForMaya::MayaAttributeUtility::getAttribute | ( | const MObject & | node,
|  | const String & | attributeName
| ) | `[static]`

  | アトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attributeName | アトリビュート名
Definition at line 32 of file MayaAttributeUtility.cpp. References MayaStatusCheck. Referenced by getBool(), getColor3f(), getFloat(), getInt(), getMatrix(), getString(), and getVector().

bool LampForMaya::MayaAttributeUtility::getBool | ( | const MObject & | node,
|  | const String & | attributeName
| ) | `[static]`

  | ブールアトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attributeName | アトリビュート名
Definition at line 64 of file MayaAttributeUtility.cpp. References getAttribute(), and getBool().

bool LampForMaya::MayaAttributeUtility::getBool | ( | const MObject & | node,
|  | const MObject & | attribute
| ) | `[static]`

  | ブールアトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attribute | アトリビュート
Definition at line 55 of file MayaAttributeUtility.cpp. References MayaStatusCheck. Referenced by getBool().

Color3f LampForMaya::MayaAttributeUtility::getColor3f | ( | const MObject & | node,
|  | const String & | attributeName
| ) | `[static]`

  | 実数三要素カラーアトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attributeName | アトリビュート名
Definition at line 129 of file MayaAttributeUtility.cpp. References getAttribute(), and getColor3f().

Color3f LampForMaya::MayaAttributeUtility::getColor3f | ( | const MObject & | node,
|  | const MObject & | attribute
| ) | `[static]`

  | 実数三要素カラーアトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attribute | アトリビュート
Definition at line 115 of file MayaAttributeUtility.cpp. References MayaStatusCheck. Referenced by getColor3f().

float LampForMaya::MayaAttributeUtility::getFloat | ( | const MObject & | node,
|  | const String & | attributeName
| ) | `[static]`

  | 実数アトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attributeName | アトリビュート名
Definition at line 94 of file MayaAttributeUtility.cpp. References getAttribute(), and getFloat().

float LampForMaya::MayaAttributeUtility::getFloat | ( | const MObject & | node,
|  | const MObject & | attribute
| ) | `[static]`

  | 実数アトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attribute | アトリビュート
Definition at line 85 of file MayaAttributeUtility.cpp. References MayaStatusCheck. Referenced by getFloat().

int LampForMaya::MayaAttributeUtility::getInt | ( | const MObject & | node,
|  | const String & | attributeName
| ) | `[static]`

  | 整数アトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attributeName | アトリビュート名
Definition at line 79 of file MayaAttributeUtility.cpp. References getAttribute(), and getInt().

int LampForMaya::MayaAttributeUtility::getInt | ( | const MObject & | node,
|  | const MObject & | attribute
| ) | `[static]`

  | 整数アトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attribute | アトリビュート
Definition at line 70 of file MayaAttributeUtility.cpp. References MayaStatusCheck. Referenced by getInt().

Matrix44 LampForMaya::MayaAttributeUtility::getMatrix | ( | const MObject & | node,
|  | const String & | attributeName
| ) | `[static]`

  | 行列アトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attributeName | アトリビュート名
Definition at line 174 of file MayaAttributeUtility.cpp. References getAttribute(), and getMatrix().

Matrix44 LampForMaya::MayaAttributeUtility::getMatrix | ( | const MObject & | node,
|  | const MObject & | attribute
| ) | `[static]`

  | 行列アトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attribute | アトリビュート
Definition at line 155 of file MayaAttributeUtility.cpp. References MayaStatusCheck. Referenced by getMatrix().

MPlug LampForMaya::MayaAttributeUtility::getPlug | ( | const MObject & | node,
|  | const String & | plugName
| ) | `[static]`

  | プラグの取得 Parameters:
  node | アトリビュートを持つノード
  plugName | プラグ名
Definition at line 44 of file MayaAttributeUtility.cpp. References MayaStatusCheck.

String LampForMaya::MayaAttributeUtility::getString | ( | const MObject & | node,
|  | const String & | attributeName
| ) | `[static]`

  | 文字列アトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attributeName | アトリビュート名
Definition at line 109 of file MayaAttributeUtility.cpp. References getAttribute(), and getString().

String LampForMaya::MayaAttributeUtility::getString | ( | const MObject & | node,
|  | const MObject & | attribute
| ) | `[static]`

  | 文字列アトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attribute | アトリビュート
Definition at line 100 of file MayaAttributeUtility.cpp. References MayaStatusCheck. Referenced by getString().

Vector3 LampForMaya::MayaAttributeUtility::getVector | ( | const MObject & | node,
|  | const String & | attributeName
| ) | `[static]`

  | ベクトルアトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attributeName | アトリビュート名
Definition at line 149 of file MayaAttributeUtility.cpp. References getAttribute(), and getVector().

Vector3 LampForMaya::MayaAttributeUtility::getVector | ( | const MObject & | node,
|  | const MObject & | attribute
| ) | `[static]`

  | ベクトルアトリビュートの取得 Parameters:
  node | アトリビュートを持つノード
  attribute | アトリビュート
Definition at line 135 of file MayaAttributeUtility.cpp. References MayaStatusCheck. Referenced by getVector().

The documentation for this class was generated from the following files:

- MayaAttributeUtility.h
- MayaAttributeUtility.cpp